package com.zehong.system.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;


public class YeHuaqiUserManageSafetyDeviceExportVo {

    /** 用户账号 */
    @Excel(name = "用户自有编号")
    private String userOwnId;

    /** 关联设备类型 */
    @Excel(name = "设备类型")
    private String fRelationDeviceType;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String fDeviceName;

    /** 设备型号 */
    @Excel(name = "设备型号")
    private String fDeviceModel;

    /** 物联网编号 */
    @Excel(name = "物联网编号")
    private String fIotNo;

    /** 探测介质 */
    @Excel(name = "探测介质")
    private String fDetectionMedium;

    /** 设备安装时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "设备安装时间(yyyy-mm-dd)",width = 30,format ="yyyy-MM-dd")
    private Date fDeviceInstallTime;

    private String fDeviceInstallTimeStr;

    /** 安装位置 */
    @Excel(name = "安装位置")
    private String fDeviceInstallPosition;

    /** 负责人 */
    @Excel(name = "负责人")
    private String fHead;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String fPhone;

    public String getUserOwnId() {
        return userOwnId;
    }

    public void setUserOwnId(String userOwnId) {
        this.userOwnId = userOwnId;
    }

    public String getfRelationDeviceType() {
        return fRelationDeviceType;
    }

    public void setfRelationDeviceType(String fRelationDeviceType) {
        this.fRelationDeviceType = fRelationDeviceType;
    }

    public String getfDeviceName() {
        return fDeviceName;
    }

    public void setfDeviceName(String fDeviceName) {
        this.fDeviceName = fDeviceName;
    }

    public String getfDeviceModel() {
        return fDeviceModel;
    }

    public void setfDeviceModel(String fDeviceModel) {
        this.fDeviceModel = fDeviceModel;
    }

    public String getfIotNo() {
        return fIotNo;
    }

    public void setfIotNo(String fIotNo) {
        this.fIotNo = fIotNo;
    }

    public String getfDetectionMedium() {
        return fDetectionMedium;
    }

    public void setfDetectionMedium(String fDetectionMedium) {
        this.fDetectionMedium = fDetectionMedium;
    }

    public Date getfDeviceInstallTime() {
        return fDeviceInstallTime;
    }

    public void setfDeviceInstallTime(Date fDeviceInstallTime) {
        this.fDeviceInstallTime = fDeviceInstallTime;
    }

    public String getfDeviceInstallTimeStr() {
        return fDeviceInstallTimeStr;
    }

    public void setfDeviceInstallTimeStr(String fDeviceInstallTimeStr) {
        this.fDeviceInstallTimeStr = fDeviceInstallTimeStr;
    }

    public String getfDeviceInstallPosition() {
        return fDeviceInstallPosition;
    }

    public void setfDeviceInstallPosition(String fDeviceInstallPosition) {
        this.fDeviceInstallPosition = fDeviceInstallPosition;
    }

    public String getfHead() {
        return fHead;
    }

    public void setfHead(String fHead) {
        this.fHead = fHead;
    }

    public String getfPhone() {
        return fPhone;
    }

    public void setfPhone(String fPhone) {
        this.fPhone = fPhone;
    }
}
